Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Write_Dgram_Result Class Reference

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Write_Dgram_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Write_Dgram_Result:

[legend]
List of all members.

## Public Methods
size_t | bytes_to_write (void) const
ACE_Message_Block * | message_block (void) const
| Message block which contains the sent data.
int | flags (void) const
| The flags using in the write.
ACE_HANDLE | handle (void) const
| I/O handle used for writing.
## Protected Methods
| ACE_POSIX_Asynch_Write_Dgram_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block *message_block, size_t bytes_to_write, int flags, const void *act, ACE_HANDLE event, int priority, int signal_number)
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the write completes.
virtual | ~ACE_POSIX_Asynch_Write_Dgram_Result (void)
| Destructor.
## Protected Attributes
size_t | bytes_to_write_
ACE_Message_Block * | message_block_
| Message block used for the send.
int | flags_
| The flags using in the write.
ACE_HANDLE | handle_
| I/O handle used for writing.
## Friends
class | ACE_POSIX_Asynch_Write_Dgram
| Factory classes will have special permissions.
class | ACE_POSIX_Proactor
| Proactor class has special permission.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Write_Dgram_Result::ACE_POSIX_Asynch_Write_Dgram_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block * | message_block,
|  | size_t | bytes_to_write,
|  | int | flags,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Write_Stream factory.

ACE_POSIX_Asynch_Write_Dgram_Result::~ACE_POSIX_Asynch_Write_Dgram_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

size_t ACE_POSIX_Asynch_Write_Dgram_Result::bytes_to_write | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous write. Implements ACE_Asynch_Write_Dgram_Result_Impl.

void ACE_POSIX_Asynch_Write_Dgram_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the write completes. Implements ACE_Asynch_Result_Impl.

int ACE_POSIX_Asynch_Write_Dgram_Result::flags | ( | void |  | ) | const`[virtual]`

| The flags using in the write. Implements ACE_Asynch_Write_Dgram_Result_Impl.

ACE_HANDLE ACE_POSIX_Asynch_Write_Dgram_Result::handle | ( | void |  | ) | const`[virtual]`

| I/O handle used for writing. Implements ACE_Asynch_Write_Dgram_Result_Impl.

ACE_Message_Block * ACE_POSIX_Asynch_Write_Dgram_Result::message_block | ( | void |  | ) | const`[virtual]`

| Message block which contains the sent data. Implements ACE_Asynch_Write_Dgram_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Write_Dgram`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Proactor`[friend]`

| Proactor class has special permission.

## Member Data Documentation

size_t ACE_POSIX_Asynch_Write_Dgram_Result::bytes_to_write_`[protected]`

| The number of bytes which were requested at the start of the asynchronous write.

int ACE_POSIX_Asynch_Write_Dgram_Result::flags_`[protected]`

| The flags using in the write.

ACE_HANDLE ACE_POSIX_Asynch_Write_Dgram_Result::handle_`[protected]`

| I/O handle used for writing.

ACE_Message_Block* ACE_POSIX_Asynch_Write_Dgram_Result::message_block_`[protected]`

| Message block used for the send.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.cpp